Macro ForceRecompute: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
m (date)
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{Macro|Icon=Force_Recompute|Name=Macro Force Recompute|Description=Forces manual recompute of model|Author=shoogen|Version=1.0}}
{{Macro|Icon=Force_Recompute|Name=Macro Force Recompute|Description=Forces manual recompute of model|Author=shoogen|Version=1.0|Date=01/09/2014}}


<!--T:2-->
<!--T:2-->

Revision as of 12:58, 26 September 2017

File:Force Recompute Macro Force Recompute

Description
Forces manual recompute of model

Macro version: 1.0
Last modified: 01/09/2014
Author: shoogen
Author
shoogen
Download
None
Links
Macro Version
1.0
Date last modified
01/09/2014
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Sometimes the user applies changes to the model in FreeCAD. But FreeCAD does not seem to recognize them. So the blue "Recompute" icon stayes greyed out. This small macro forces a manual recompute of the model.

Since FreeCAD v0.17, the effect of this macro can be achieved through GUI. Right-click project in model tree view, and pick "Mark to recompute" from context menu. After that, press Recompute button.

Use

Just run the macro when needed.

Script

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()
Other languages: